package com.mortals.xhx.common.pdu.sms;
import java.util.Date;
import java.util.List;
import com.mortals.framework.model.BaseEntityLong;

/**
* 短信设置Pdu对象
*
* @author zxfei
* @date 2022-07-28
*/

public class SmsSetPdu extends BaseEntityLong {
    private static final long serialVersionUID = 1L;

    /**
    * 短信签名
    */
    private String sign;
    /**
    * 剩余短信条数
    */
    private Long lastnum;
    /**
    * 用户名
    */
    private String username;
    /**
    * 短信开关 (1.开,0.关)
    */
    private Integer messageoff;
    /**
    * 站点id
    */
    private Long siteId;
    /**
    * 短信平台 (1.容联,2.阿里云,3.移动)
    */
    private Integer smsplatform;
    /**
    * 站点名称
    */
    private String siteName;

    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 短信签名 */
    private List<String> signList;

    /** 开始 剩余短信条数 */
    private Long lastnumStart;

    /** 结束 剩余短信条数 */
    private Long lastnumEnd;

    /** 增加 剩余短信条数 */
    private Long lastnumIncrement;

    /** 剩余短信条数列表 */
    private List <Long> lastnumList;

    /** 用户名 */
    private List<String> usernameList;

    /** 开始 短信开关 (1.开,0.关) */
    private Integer messageoffStart;

    /** 结束 短信开关 (1.开,0.关) */
    private Integer messageoffEnd;

    /** 增加 短信开关 (1.开,0.关) */
    private Integer messageoffIncrement;

    /** 短信开关 (1.开,0.关)列表 */
    private List <Integer> messageoffList;

    /** 开始 站点id */
    private Long siteIdStart;

    /** 结束 站点id */
    private Long siteIdEnd;

    /** 增加 站点id */
    private Long siteIdIncrement;

    /** 站点id列表 */
    private List <Long> siteIdList;

    /** 开始 短信平台 (1.容联,2.阿里云,3.移动) */
    private Integer smsplatformStart;

    /** 结束 短信平台 (1.容联,2.阿里云,3.移动) */
    private Integer smsplatformEnd;

    /** 增加 短信平台 (1.容联,2.阿里云,3.移动) */
    private Integer smsplatformIncrement;

    /** 短信平台 (1.容联,2.阿里云,3.移动)列表 */
    private List <Integer> smsplatformList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 开始 修改时间 */
    private String updateTimeStart;

    /** 结束 修改时间 */
    private String updateTimeEnd;

    /** 站点名称 */
    private List<String> siteNameList;


    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<SmsSetPdu> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<SmsSetPdu> andConditionList;

    public SmsSetPdu(){}
    /**
    * 获取 短信签名
    * @return String
    */
    public String getSign(){
        return sign;
    }
    /**
    * 设置 短信签名
    * @param sign
    */
    public void setSign(String sign){
        this.sign = sign;
    }
    /**
    * 获取 剩余短信条数
    * @return Long
    */
    public Long getLastnum(){
        return lastnum;
    }
    /**
    * 设置 剩余短信条数
    * @param lastnum
    */
    public void setLastnum(Long lastnum){
        this.lastnum = lastnum;
    }
    /**
    * 获取 用户名
    * @return String
    */
    public String getUsername(){
        return username;
    }
    /**
    * 设置 用户名
    * @param username
    */
    public void setUsername(String username){
        this.username = username;
    }
    /**
    * 获取 短信开关 (1.开,0.关)
    * @return Integer
    */
    public Integer getMessageoff(){
        return messageoff;
    }
    /**
    * 设置 短信开关 (1.开,0.关)
    * @param messageoff
    */
    public void setMessageoff(Integer messageoff){
        this.messageoff = messageoff;
    }
    /**
    * 获取 站点id
    * @return Long
    */
    public Long getSiteId(){
        return siteId;
    }
    /**
    * 设置 站点id
    * @param siteId
    */
    public void setSiteId(Long siteId){
        this.siteId = siteId;
    }
    /**
    * 获取 短信平台 (1.容联,2.阿里云,3.移动)
    * @return Integer
    */
    public Integer getSmsplatform(){
        return smsplatform;
    }
    /**
    * 设置 短信平台 (1.容联,2.阿里云,3.移动)
    * @param smsplatform
    */
    public void setSmsplatform(Integer smsplatform){
        this.smsplatform = smsplatform;
    }
    /**
    * 获取 站点名称
    * @return String
    */
    public String getSiteName(){
        return siteName;
    }
    /**
    * 设置 站点名称
    * @param siteName
    */
    public void setSiteName(String siteName){
        this.siteName = siteName;
    }

    /**
    * 获取 开始 序号，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 序号，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 序号，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 短信签名
    * @return signList
    */
    public List<String> getSignList(){
        return this.signList;
    }

    /**
    * 设置 短信签名
    * @param signList
    */
    public void setSignList(List<String> signList){
        this.signList = signList;
    }
    /**
    * 获取 开始 剩余短信条数
    * @return lastnumStart
    */
    public Long getLastnumStart(){
        return this.lastnumStart;
    }

    /**
    * 设置 开始 剩余短信条数
    * @param lastnumStart
    */
    public void setLastnumStart(Long lastnumStart){
        this.lastnumStart = lastnumStart;
    }

    /**
    * 获取 结束 剩余短信条数
    * @return $lastnumEnd
    */
    public Long getLastnumEnd(){
        return this.lastnumEnd;
    }

    /**
    * 设置 结束 剩余短信条数
    * @param lastnumEnd
    */
    public void setLastnumEnd(Long lastnumEnd){
        this.lastnumEnd = lastnumEnd;
    }

    /**
    * 获取 增加 剩余短信条数
    * @return lastnumIncrement
    */
    public Long getLastnumIncrement(){
        return this.lastnumIncrement;
    }

    /**
    * 设置 增加 剩余短信条数
    * @param lastnumIncrement
    */
    public void setLastnumIncrement(Long lastnumIncrement){
        this.lastnumIncrement = lastnumIncrement;
    }

    /**
    * 获取 剩余短信条数
    * @return lastnumList
    */
    public List<Long> getLastnumList(){
        return this.lastnumList;
    }

    /**
    * 设置 剩余短信条数
    * @param lastnumList
    */
    public void setLastnumList(List<Long> lastnumList){
        this.lastnumList = lastnumList;
    }

    /**
    * 获取 用户名
    * @return usernameList
    */
    public List<String> getUsernameList(){
        return this.usernameList;
    }

    /**
    * 设置 用户名
    * @param usernameList
    */
    public void setUsernameList(List<String> usernameList){
        this.usernameList = usernameList;
    }
    /**
    * 获取 开始 短信开关 (1.开,0.关)
    * @return messageoffStart
    */
    public Integer getMessageoffStart(){
        return this.messageoffStart;
    }

    /**
    * 设置 开始 短信开关 (1.开,0.关)
    * @param messageoffStart
    */
    public void setMessageoffStart(Integer messageoffStart){
        this.messageoffStart = messageoffStart;
    }

    /**
    * 获取 结束 短信开关 (1.开,0.关)
    * @return $messageoffEnd
    */
    public Integer getMessageoffEnd(){
        return this.messageoffEnd;
    }

    /**
    * 设置 结束 短信开关 (1.开,0.关)
    * @param messageoffEnd
    */
    public void setMessageoffEnd(Integer messageoffEnd){
        this.messageoffEnd = messageoffEnd;
    }

    /**
    * 获取 增加 短信开关 (1.开,0.关)
    * @return messageoffIncrement
    */
    public Integer getMessageoffIncrement(){
        return this.messageoffIncrement;
    }

    /**
    * 设置 增加 短信开关 (1.开,0.关)
    * @param messageoffIncrement
    */
    public void setMessageoffIncrement(Integer messageoffIncrement){
        this.messageoffIncrement = messageoffIncrement;
    }

    /**
    * 获取 短信开关 (1.开,0.关)
    * @return messageoffList
    */
    public List<Integer> getMessageoffList(){
        return this.messageoffList;
    }

    /**
    * 设置 短信开关 (1.开,0.关)
    * @param messageoffList
    */
    public void setMessageoffList(List<Integer> messageoffList){
        this.messageoffList = messageoffList;
    }

    /**
    * 获取 开始 站点id
    * @return siteIdStart
    */
    public Long getSiteIdStart(){
        return this.siteIdStart;
    }

    /**
    * 设置 开始 站点id
    * @param siteIdStart
    */
    public void setSiteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
    }

    /**
    * 获取 结束 站点id
    * @return $siteIdEnd
    */
    public Long getSiteIdEnd(){
        return this.siteIdEnd;
    }

    /**
    * 设置 结束 站点id
    * @param siteIdEnd
    */
    public void setSiteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
    }

    /**
    * 获取 增加 站点id
    * @return siteIdIncrement
    */
    public Long getSiteIdIncrement(){
        return this.siteIdIncrement;
    }

    /**
    * 设置 增加 站点id
    * @param siteIdIncrement
    */
    public void setSiteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
    }

    /**
    * 获取 站点id
    * @return siteIdList
    */
    public List<Long> getSiteIdList(){
        return this.siteIdList;
    }

    /**
    * 设置 站点id
    * @param siteIdList
    */
    public void setSiteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
    }

    /**
    * 获取 开始 短信平台 (1.容联,2.阿里云,3.移动)
    * @return smsplatformStart
    */
    public Integer getSmsplatformStart(){
        return this.smsplatformStart;
    }

    /**
    * 设置 开始 短信平台 (1.容联,2.阿里云,3.移动)
    * @param smsplatformStart
    */
    public void setSmsplatformStart(Integer smsplatformStart){
        this.smsplatformStart = smsplatformStart;
    }

    /**
    * 获取 结束 短信平台 (1.容联,2.阿里云,3.移动)
    * @return $smsplatformEnd
    */
    public Integer getSmsplatformEnd(){
        return this.smsplatformEnd;
    }

    /**
    * 设置 结束 短信平台 (1.容联,2.阿里云,3.移动)
    * @param smsplatformEnd
    */
    public void setSmsplatformEnd(Integer smsplatformEnd){
        this.smsplatformEnd = smsplatformEnd;
    }

    /**
    * 获取 增加 短信平台 (1.容联,2.阿里云,3.移动)
    * @return smsplatformIncrement
    */
    public Integer getSmsplatformIncrement(){
        return this.smsplatformIncrement;
    }

    /**
    * 设置 增加 短信平台 (1.容联,2.阿里云,3.移动)
    * @param smsplatformIncrement
    */
    public void setSmsplatformIncrement(Integer smsplatformIncrement){
        this.smsplatformIncrement = smsplatformIncrement;
    }

    /**
    * 获取 短信平台 (1.容联,2.阿里云,3.移动)
    * @return smsplatformList
    */
    public List<Integer> getSmsplatformList(){
        return this.smsplatformList;
    }

    /**
    * 设置 短信平台 (1.容联,2.阿里云,3.移动)
    * @param smsplatformList
    */
    public void setSmsplatformList(List<Integer> smsplatformList){
        this.smsplatformList = smsplatformList;
    }

    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 开始 修改时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 修改时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 修改时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 修改时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 获取 站点名称
    * @return siteNameList
    */
    public List<String> getSiteNameList(){
        return this.siteNameList;
    }

    /**
    * 设置 站点名称
    * @param siteNameList
    */
    public void setSiteNameList(List<String> siteNameList){
        this.siteNameList = siteNameList;
    }
    /**
    * 设置  序号，主键，自增长
    * @param id
    */
    public SmsSetPdu id(Long id){
	    setId(id);
		return this;
    }

	 /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public SmsSetPdu idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public SmsSetPdu idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public SmsSetPdu idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public SmsSetPdu idList(List<Long> idList){
        this.idList = idList;
		return this;
        }


	/**
    * 设置 短信签名
    * @param sign
    */
    public SmsSetPdu sign(String sign){
        setSign(sign);
		return this;
    }

    /**
    * 设置 短信签名
    * @param signList
    */
    public SmsSetPdu signList(List<String> signList){
        this.signList = signList;
		return this;
    }

    /**
    * 设置  剩余短信条数
    * @param lastnum
    */
    public SmsSetPdu lastnum(Long lastnum){
	    setLastnum(lastnum);
		return this;
    }

	 /**
    * 设置 开始 剩余短信条数
    * @param lastnumStart
    */
    public SmsSetPdu lastnumStart(Long lastnumStart){
		this.lastnumStart = lastnumStart;
		return this;
    }

    /**
    * 设置 结束 剩余短信条数
    * @param lastnumEnd
    */
    public SmsSetPdu lastnumEnd(Long lastnumEnd){
		this.lastnumEnd = lastnumEnd;
		return this;
    }

    /**
    * 设置 增加 剩余短信条数
    * @param lastnumIncrement
    */
    public SmsSetPdu lastnumIncrement(Long lastnumIncrement){
		this.lastnumIncrement = lastnumIncrement;
		return this;
    }

    /**
    * 设置 剩余短信条数
    * @param lastnumList
    */
    public SmsSetPdu lastnumList(List<Long> lastnumList){
        this.lastnumList = lastnumList;
		return this;
        }


	/**
    * 设置 用户名
    * @param username
    */
    public SmsSetPdu username(String username){
        setUsername(username);
		return this;
    }

    /**
    * 设置 用户名
    * @param usernameList
    */
    public SmsSetPdu usernameList(List<String> usernameList){
        this.usernameList = usernameList;
		return this;
    }

    /**
    * 设置  短信开关 (1.开,0.关)
    * @param messageoff
    */
    public SmsSetPdu messageoff(Integer messageoff){
	    setMessageoff(messageoff);
		return this;
    }

	 /**
    * 设置 开始 短信开关 (1.开,0.关)
    * @param messageoffStart
    */
    public SmsSetPdu messageoffStart(Integer messageoffStart){
		this.messageoffStart = messageoffStart;
		return this;
    }

    /**
    * 设置 结束 短信开关 (1.开,0.关)
    * @param messageoffEnd
    */
    public SmsSetPdu messageoffEnd(Integer messageoffEnd){
		this.messageoffEnd = messageoffEnd;
		return this;
    }

    /**
    * 设置 增加 短信开关 (1.开,0.关)
    * @param messageoffIncrement
    */
    public SmsSetPdu messageoffIncrement(Integer messageoffIncrement){
		this.messageoffIncrement = messageoffIncrement;
		return this;
    }

    /**
    * 设置 短信开关 (1.开,0.关)
    * @param messageoffList
    */
    public SmsSetPdu messageoffList(List<Integer> messageoffList){
        this.messageoffList = messageoffList;
		return this;
        }

    /**
    * 设置  站点id
    * @param siteId
    */
    public SmsSetPdu siteId(Long siteId){
	    setSiteId(siteId);
		return this;
    }

	 /**
    * 设置 开始 站点id
    * @param siteIdStart
    */
    public SmsSetPdu siteIdStart(Long siteIdStart){
		this.siteIdStart = siteIdStart;
		return this;
    }

    /**
    * 设置 结束 站点id
    * @param siteIdEnd
    */
    public SmsSetPdu siteIdEnd(Long siteIdEnd){
		this.siteIdEnd = siteIdEnd;
		return this;
    }

    /**
    * 设置 增加 站点id
    * @param siteIdIncrement
    */
    public SmsSetPdu siteIdIncrement(Long siteIdIncrement){
		this.siteIdIncrement = siteIdIncrement;
		return this;
    }

    /**
    * 设置 站点id
    * @param siteIdList
    */
    public SmsSetPdu siteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
		return this;
        }

    /**
    * 设置  短信平台 (1.容联,2.阿里云,3.移动)
    * @param smsplatform
    */
    public SmsSetPdu smsplatform(Integer smsplatform){
	    setSmsplatform(smsplatform);
		return this;
    }

	 /**
    * 设置 开始 短信平台 (1.容联,2.阿里云,3.移动)
    * @param smsplatformStart
    */
    public SmsSetPdu smsplatformStart(Integer smsplatformStart){
		this.smsplatformStart = smsplatformStart;
		return this;
    }

    /**
    * 设置 结束 短信平台 (1.容联,2.阿里云,3.移动)
    * @param smsplatformEnd
    */
    public SmsSetPdu smsplatformEnd(Integer smsplatformEnd){
		this.smsplatformEnd = smsplatformEnd;
		return this;
    }

    /**
    * 设置 增加 短信平台 (1.容联,2.阿里云,3.移动)
    * @param smsplatformIncrement
    */
    public SmsSetPdu smsplatformIncrement(Integer smsplatformIncrement){
		this.smsplatformIncrement = smsplatformIncrement;
		return this;
    }

    /**
    * 设置 短信平台 (1.容联,2.阿里云,3.移动)
    * @param smsplatformList
    */
    public SmsSetPdu smsplatformList(List<Integer> smsplatformList){
        this.smsplatformList = smsplatformList;
		return this;
        }


    /**
    * 设置  创建用户
    * @param createUserId
    */
    public SmsSetPdu createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }

	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public SmsSetPdu createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public SmsSetPdu createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public SmsSetPdu createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public SmsSetPdu createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }



	/**
    * 设置 站点名称
    * @param siteName
    */
    public SmsSetPdu siteName(String siteName){
        setSiteName(siteName);
		return this;
    }

    /**
    * 设置 站点名称
    * @param siteNameList
    */
    public SmsSetPdu siteNameList(List<String> siteNameList){
        this.siteNameList = siteNameList;
		return this;
    }


/**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<SmsSetPdu> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<SmsSetPdu> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<SmsSetPdu> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<SmsSetPdu> andConditionList){
        this.andConditionList = andConditionList;
    }

    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof SmsSetPdu) {
            SmsSetPdu tmp = (SmsSetPdu) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){

            this.sign = null;

            this.lastnum = null;

            this.username = null;

            this.messageoff = 1;

            this.siteId = null;

            this.smsplatform = 1;

            this.siteName = null;
    }
}